Name:           petit
Version:        1.1.1
Release:        1%{?dist}
Summary:        Log analysis tool for syslog, Apache and raw log files

Group:          Applications/System
License:        GPLv3+
URL:            http://crunchtools.com/software/petit/
Source0:        http://crunchtools.com/wp-content/files/%{name}/%{name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

%description
Log analysis tool which is useful to systems administrators & systems
analysts. It interacts with syslog and Apache logs to clarify what is
happening in logs.


%prep
%setup -q -n %{name}

# Remove binary manpage
rm -f src/man/*.gz

# Remove hidden svn folders
find -type d -name .svn | xargs rm -rf

# Replace (hardcoded) wrong path: /var/lib -> /usr/share
find src -type f -exec sed -i -e 's|/var/lib|%{_datadir}|' {} \;


%build
# Nothing to do


%install
rm -rf $RPM_BUILD_ROOT
pushd src
install -d ${RPM_BUILD_ROOT}%{_bindir}/
install -m755 bin/petit ${RPM_BUILD_ROOT}%{_bindir}/
install -d ${RPM_BUILD_ROOT}%{_datadir}/petit/
install -d ${RPM_BUILD_ROOT}%{_datadir}/petit/crunchtools/
install -m644 lib/crunchtools/*.py ${RPM_BUILD_ROOT}%{_datadir}/petit/crunchtools/
install -d ${RPM_BUILD_ROOT}%{_datadir}/petit/filters/
install -m644 lib/filters/*.stopwords ${RPM_BUILD_ROOT}%{_datadir}/petit/filters/
install -d ${RPM_BUILD_ROOT}%{_datadir}/petit/fingerprints/
install -m644 lib/fingerprints/*.fp ${RPM_BUILD_ROOT}%{_datadir}/petit/fingerprints/
install -d ${RPM_BUILD_ROOT}%{_datadir}/petit/fingerprint_library/
install -m644 lib/fingerprint_library/*.fp ${RPM_BUILD_ROOT}%{_datadir}/petit/fingerprint_library/
install -d ${RPM_BUILD_ROOT}%{_mandir}/man1/
install -m644 man/petit.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
popd

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/petit
%{_datadir}/petit/
%{_mandir}/man1/petit.1.*


%changelog
* Thu Jun 30 2011 Sandro Mathys <red at fedoraproject.org> - 1.1.1-1
- New upstream version 1.1.1

* Tue Nov 09 2010 Sandro Mathys <red at fedoraproject.org> - 1.1.0-1
- New upstream version 1.1.0

* Mon Nov 08 2010 Sandro Mathys <red at fedoraproject.org> - 1.0.3-2
- Added fix for rhbz#651018

* Wed Oct 20 2010 Sandro Mathys <red at fedoraproject.org> - 1.0.3-1
- New upstream version 1.0.3

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-2
- Recompiling .py files against Python 2.7 (rhbz#623345)

* Sun Mar 07 2010 Sandro Mathys <red at fedoraproject.org> - 1.0.0-1
- Initial package
